org.apache.maven.scm.provider.synergy.command.changelog

## Class SynergyChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.synergy.command.changelog.SynergyChangeLogCommand

All Implemented Interfaces:
  ChangeLogCommand, Command, SynergyCommand

    public class SynergyChangeLogCommand
    extends AbstractChangeLogCommand
    implements SynergyCommand

Author:
  Julien Henry, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SynergyChangeLogCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ChangeLogScmResult` `executeChangeLogCommand(ScmProviderRepository repository, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeChangeLogCommand, executeChangeLogCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyChangeLogCommand

    public SynergyChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repository,
                                                         ScmFileSet fileSet,
                                                         Date startDate,
                                                         Date endDate,
                                                         ScmBranch branch,
                                                         String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`